Index: /XIOS/trunk/src/interface/fortran_attr/field_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/field_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/field_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_field_axis_ref
     
+    FUNCTION cxios_is_defined_field_axis_ref(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_axis_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_axis_ref
+    
     
     SUBROUTINE cxios_set_field_default_value(field_hdl, default_value) BIND(C)
@@ -35,4 +41,10 @@
       REAL (KIND=C_DOUBLE)             :: default_value
     END SUBROUTINE cxios_get_field_default_value
+    
+    FUNCTION cxios_is_defined_field_default_value(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_default_value
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_default_value
     
     
@@ -51,4 +63,10 @@
     END SUBROUTINE cxios_get_field_domain_ref
     
+    FUNCTION cxios_is_defined_field_domain_ref(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_domain_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_domain_ref
+    
     
     SUBROUTINE cxios_set_field_enabled(field_hdl, enabled) BIND(C)
@@ -63,4 +81,10 @@
       LOGICAL (KIND=C_BOOL)             :: enabled
     END SUBROUTINE cxios_get_field_enabled
+    
+    FUNCTION cxios_is_defined_field_enabled(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_enabled
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_enabled
     
     
@@ -79,4 +103,10 @@
     END SUBROUTINE cxios_get_field_field_ref
     
+    FUNCTION cxios_is_defined_field_field_ref(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_field_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_field_ref
+    
     
     SUBROUTINE cxios_set_field_freq_offset(field_hdl, freq_offset, freq_offset_size) BIND(C)
@@ -94,4 +124,10 @@
     END SUBROUTINE cxios_get_field_freq_offset
     
+    FUNCTION cxios_is_defined_field_freq_offset(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_freq_offset
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_freq_offset
+    
     
     SUBROUTINE cxios_set_field_freq_op(field_hdl, freq_op, freq_op_size) BIND(C)
@@ -109,4 +145,10 @@
     END SUBROUTINE cxios_get_field_freq_op
     
+    FUNCTION cxios_is_defined_field_freq_op(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_freq_op
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_freq_op
+    
     
     SUBROUTINE cxios_set_field_grid_ref(field_hdl, grid_ref, grid_ref_size) BIND(C)
@@ -124,4 +166,10 @@
     END SUBROUTINE cxios_get_field_grid_ref
     
+    FUNCTION cxios_is_defined_field_grid_ref(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_grid_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_grid_ref
+    
     
     SUBROUTINE cxios_set_field_level(field_hdl, level) BIND(C)
@@ -136,4 +184,10 @@
       INTEGER (KIND=C_INT)             :: level
     END SUBROUTINE cxios_get_field_level
+    
+    FUNCTION cxios_is_defined_field_level(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_level
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_level
     
     
@@ -152,4 +206,10 @@
     END SUBROUTINE cxios_get_field_long_name
     
+    FUNCTION cxios_is_defined_field_long_name(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_long_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_long_name
+    
     
     SUBROUTINE cxios_set_field_name(field_hdl, name, name_size) BIND(C)
@@ -167,4 +227,10 @@
     END SUBROUTINE cxios_get_field_name
     
+    FUNCTION cxios_is_defined_field_name(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_name
+    
     
     SUBROUTINE cxios_set_field_operation(field_hdl, operation, operation_size) BIND(C)
@@ -182,4 +248,10 @@
     END SUBROUTINE cxios_get_field_operation
     
+    FUNCTION cxios_is_defined_field_operation(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_operation
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_operation
+    
     
     SUBROUTINE cxios_set_field_prec(field_hdl, prec) BIND(C)
@@ -194,4 +266,10 @@
       INTEGER (KIND=C_INT)             :: prec
     END SUBROUTINE cxios_get_field_prec
+    
+    FUNCTION cxios_is_defined_field_prec(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_prec
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_prec
     
     
@@ -210,4 +288,10 @@
     END SUBROUTINE cxios_get_field_standard_name
     
+    FUNCTION cxios_is_defined_field_standard_name(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_standard_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_standard_name
+    
     
     SUBROUTINE cxios_set_field_unit(field_hdl, unit, unit_size) BIND(C)
@@ -225,4 +309,10 @@
     END SUBROUTINE cxios_get_field_unit
     
+    FUNCTION cxios_is_defined_field_unit(field_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_unit
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_unit
+    
     
     END INTERFACE
Index: /XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_fieldgroup_axis_ref
     
+    FUNCTION cxios_is_defined_fieldgroup_axis_ref(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_axis_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_axis_ref
+    
     
     SUBROUTINE cxios_set_fieldgroup_default_value(fieldgroup_hdl, default_value) BIND(C)
@@ -35,4 +41,10 @@
       REAL (KIND=C_DOUBLE)             :: default_value
     END SUBROUTINE cxios_get_fieldgroup_default_value
+    
+    FUNCTION cxios_is_defined_fieldgroup_default_value(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_default_value
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_default_value
     
     
@@ -51,4 +63,10 @@
     END SUBROUTINE cxios_get_fieldgroup_domain_ref
     
+    FUNCTION cxios_is_defined_fieldgroup_domain_ref(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_domain_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_domain_ref
+    
     
     SUBROUTINE cxios_set_fieldgroup_enabled(fieldgroup_hdl, enabled) BIND(C)
@@ -63,4 +81,10 @@
       LOGICAL (KIND=C_BOOL)             :: enabled
     END SUBROUTINE cxios_get_fieldgroup_enabled
+    
+    FUNCTION cxios_is_defined_fieldgroup_enabled(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_enabled
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_enabled
     
     
@@ -79,4 +103,10 @@
     END SUBROUTINE cxios_get_fieldgroup_field_ref
     
+    FUNCTION cxios_is_defined_fieldgroup_field_ref(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_field_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_field_ref
+    
     
     SUBROUTINE cxios_set_fieldgroup_freq_offset(fieldgroup_hdl, freq_offset, freq_offset_size) BIND(C)
@@ -94,4 +124,10 @@
     END SUBROUTINE cxios_get_fieldgroup_freq_offset
     
+    FUNCTION cxios_is_defined_fieldgroup_freq_offset(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_freq_offset
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_freq_offset
+    
     
     SUBROUTINE cxios_set_fieldgroup_freq_op(fieldgroup_hdl, freq_op, freq_op_size) BIND(C)
@@ -109,4 +145,10 @@
     END SUBROUTINE cxios_get_fieldgroup_freq_op
     
+    FUNCTION cxios_is_defined_fieldgroup_freq_op(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_freq_op
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_freq_op
+    
     
     SUBROUTINE cxios_set_fieldgroup_grid_ref(fieldgroup_hdl, grid_ref, grid_ref_size) BIND(C)
@@ -124,4 +166,10 @@
     END SUBROUTINE cxios_get_fieldgroup_grid_ref
     
+    FUNCTION cxios_is_defined_fieldgroup_grid_ref(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_grid_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_grid_ref
+    
     
     SUBROUTINE cxios_set_fieldgroup_group_ref(fieldgroup_hdl, group_ref, group_ref_size) BIND(C)
@@ -139,4 +187,10 @@
     END SUBROUTINE cxios_get_fieldgroup_group_ref
     
+    FUNCTION cxios_is_defined_fieldgroup_group_ref(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_group_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_group_ref
+    
     
     SUBROUTINE cxios_set_fieldgroup_level(fieldgroup_hdl, level) BIND(C)
@@ -151,4 +205,10 @@
       INTEGER (KIND=C_INT)             :: level
     END SUBROUTINE cxios_get_fieldgroup_level
+    
+    FUNCTION cxios_is_defined_fieldgroup_level(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_level
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_level
     
     
@@ -167,4 +227,10 @@
     END SUBROUTINE cxios_get_fieldgroup_long_name
     
+    FUNCTION cxios_is_defined_fieldgroup_long_name(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_long_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_long_name
+    
     
     SUBROUTINE cxios_set_fieldgroup_name(fieldgroup_hdl, name, name_size) BIND(C)
@@ -182,4 +248,10 @@
     END SUBROUTINE cxios_get_fieldgroup_name
     
+    FUNCTION cxios_is_defined_fieldgroup_name(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_name
+    
     
     SUBROUTINE cxios_set_fieldgroup_operation(fieldgroup_hdl, operation, operation_size) BIND(C)
@@ -197,4 +269,10 @@
     END SUBROUTINE cxios_get_fieldgroup_operation
     
+    FUNCTION cxios_is_defined_fieldgroup_operation(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_operation
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_operation
+    
     
     SUBROUTINE cxios_set_fieldgroup_prec(fieldgroup_hdl, prec) BIND(C)
@@ -209,4 +287,10 @@
       INTEGER (KIND=C_INT)             :: prec
     END SUBROUTINE cxios_get_fieldgroup_prec
+    
+    FUNCTION cxios_is_defined_fieldgroup_prec(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_prec
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_prec
     
     
@@ -225,4 +309,10 @@
     END SUBROUTINE cxios_get_fieldgroup_standard_name
     
+    FUNCTION cxios_is_defined_fieldgroup_standard_name(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_standard_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_standard_name
+    
     
     SUBROUTINE cxios_set_fieldgroup_unit(fieldgroup_hdl, unit, unit_size) BIND(C)
@@ -240,4 +330,10 @@
     END SUBROUTINE cxios_get_fieldgroup_unit
     
+    FUNCTION cxios_is_defined_fieldgroup_unit(fieldgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_unit
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_unit
+    
     
     END INTERFACE
Index: /XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_file_description
     
+    FUNCTION cxios_is_defined_file_description(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_description
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_description
+    
     
     SUBROUTINE cxios_set_file_enabled(file_hdl, enabled) BIND(C)
@@ -36,4 +42,10 @@
     END SUBROUTINE cxios_get_file_enabled
     
+    FUNCTION cxios_is_defined_file_enabled(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_enabled
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_enabled
+    
     
     SUBROUTINE cxios_set_file_min_digits(file_hdl, min_digits) BIND(C)
@@ -48,4 +60,10 @@
       INTEGER (KIND=C_INT)             :: min_digits
     END SUBROUTINE cxios_get_file_min_digits
+    
+    FUNCTION cxios_is_defined_file_min_digits(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_min_digits
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_min_digits
     
     
@@ -64,4 +82,10 @@
     END SUBROUTINE cxios_get_file_name
     
+    FUNCTION cxios_is_defined_file_name(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_name
+    
     
     SUBROUTINE cxios_set_file_name_suffix(file_hdl, name_suffix, name_suffix_size) BIND(C)
@@ -79,4 +103,10 @@
     END SUBROUTINE cxios_get_file_name_suffix
     
+    FUNCTION cxios_is_defined_file_name_suffix(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_name_suffix
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_name_suffix
+    
     
     SUBROUTINE cxios_set_file_output_freq(file_hdl, output_freq, output_freq_size) BIND(C)
@@ -94,4 +124,10 @@
     END SUBROUTINE cxios_get_file_output_freq
     
+    FUNCTION cxios_is_defined_file_output_freq(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_output_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_output_freq
+    
     
     SUBROUTINE cxios_set_file_output_level(file_hdl, output_level) BIND(C)
@@ -106,4 +142,10 @@
       INTEGER (KIND=C_INT)             :: output_level
     END SUBROUTINE cxios_get_file_output_level
+    
+    FUNCTION cxios_is_defined_file_output_level(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_output_level
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_output_level
     
     
@@ -122,4 +164,10 @@
     END SUBROUTINE cxios_get_file_par_access
     
+    FUNCTION cxios_is_defined_file_par_access(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_par_access
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_par_access
+    
     
     SUBROUTINE cxios_set_file_split_freq(file_hdl, split_freq, split_freq_size) BIND(C)
@@ -137,4 +185,31 @@
     END SUBROUTINE cxios_get_file_split_freq
     
+    FUNCTION cxios_is_defined_file_split_freq(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_split_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_split_freq
+    
+    
+    SUBROUTINE cxios_set_file_split_freq_format(file_hdl, split_freq_format, split_freq_format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: split_freq_format
+      INTEGER  (kind = C_INT)     , VALUE        :: split_freq_format_size
+    END SUBROUTINE cxios_set_file_split_freq_format
+    
+    SUBROUTINE cxios_get_file_split_freq_format(file_hdl, split_freq_format, split_freq_format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: split_freq_format
+      INTEGER  (kind = C_INT)     , VALUE        :: split_freq_format_size
+    END SUBROUTINE cxios_get_file_split_freq_format
+    
+    FUNCTION cxios_is_defined_file_split_freq_format(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_split_freq_format
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_split_freq_format
+    
     
     SUBROUTINE cxios_set_file_sync_freq(file_hdl, sync_freq, sync_freq_size) BIND(C)
@@ -152,4 +227,10 @@
     END SUBROUTINE cxios_get_file_sync_freq
     
+    FUNCTION cxios_is_defined_file_sync_freq(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_sync_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_sync_freq
+    
     
     SUBROUTINE cxios_set_file_type(file_hdl, type, type_size) BIND(C)
@@ -167,4 +248,10 @@
     END SUBROUTINE cxios_get_file_type
     
+    FUNCTION cxios_is_defined_file_type(file_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_type
+    
     
     END INTERFACE
Index: /XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_filegroup_description
     
+    FUNCTION cxios_is_defined_filegroup_description(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_description
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_description
+    
     
     SUBROUTINE cxios_set_filegroup_enabled(filegroup_hdl, enabled) BIND(C)
@@ -35,4 +41,10 @@
       LOGICAL (KIND=C_BOOL)             :: enabled
     END SUBROUTINE cxios_get_filegroup_enabled
+    
+    FUNCTION cxios_is_defined_filegroup_enabled(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_enabled
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_enabled
     
     
@@ -51,4 +63,10 @@
     END SUBROUTINE cxios_get_filegroup_group_ref
     
+    FUNCTION cxios_is_defined_filegroup_group_ref(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_group_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_group_ref
+    
     
     SUBROUTINE cxios_set_filegroup_min_digits(filegroup_hdl, min_digits) BIND(C)
@@ -63,4 +81,10 @@
       INTEGER (KIND=C_INT)             :: min_digits
     END SUBROUTINE cxios_get_filegroup_min_digits
+    
+    FUNCTION cxios_is_defined_filegroup_min_digits(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_min_digits
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_min_digits
     
     
@@ -79,4 +103,10 @@
     END SUBROUTINE cxios_get_filegroup_name
     
+    FUNCTION cxios_is_defined_filegroup_name(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_name
+    
     
     SUBROUTINE cxios_set_filegroup_name_suffix(filegroup_hdl, name_suffix, name_suffix_size) BIND(C)
@@ -94,4 +124,10 @@
     END SUBROUTINE cxios_get_filegroup_name_suffix
     
+    FUNCTION cxios_is_defined_filegroup_name_suffix(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_name_suffix
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_name_suffix
+    
     
     SUBROUTINE cxios_set_filegroup_output_freq(filegroup_hdl, output_freq, output_freq_size) BIND(C)
@@ -109,4 +145,10 @@
     END SUBROUTINE cxios_get_filegroup_output_freq
     
+    FUNCTION cxios_is_defined_filegroup_output_freq(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_output_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_output_freq
+    
     
     SUBROUTINE cxios_set_filegroup_output_level(filegroup_hdl, output_level) BIND(C)
@@ -121,4 +163,10 @@
       INTEGER (KIND=C_INT)             :: output_level
     END SUBROUTINE cxios_get_filegroup_output_level
+    
+    FUNCTION cxios_is_defined_filegroup_output_level(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_output_level
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_output_level
     
     
@@ -137,4 +185,10 @@
     END SUBROUTINE cxios_get_filegroup_par_access
     
+    FUNCTION cxios_is_defined_filegroup_par_access(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_par_access
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_par_access
+    
     
     SUBROUTINE cxios_set_filegroup_split_freq(filegroup_hdl, split_freq, split_freq_size) BIND(C)
@@ -152,4 +206,31 @@
     END SUBROUTINE cxios_get_filegroup_split_freq
     
+    FUNCTION cxios_is_defined_filegroup_split_freq(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_split_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_split_freq
+    
+    
+    SUBROUTINE cxios_set_filegroup_split_freq_format(filegroup_hdl, split_freq_format, split_freq_format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: split_freq_format
+      INTEGER  (kind = C_INT)     , VALUE        :: split_freq_format_size
+    END SUBROUTINE cxios_set_filegroup_split_freq_format
+    
+    SUBROUTINE cxios_get_filegroup_split_freq_format(filegroup_hdl, split_freq_format, split_freq_format_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: split_freq_format
+      INTEGER  (kind = C_INT)     , VALUE        :: split_freq_format_size
+    END SUBROUTINE cxios_get_filegroup_split_freq_format
+    
+    FUNCTION cxios_is_defined_filegroup_split_freq_format(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_split_freq_format
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_split_freq_format
+    
     
     SUBROUTINE cxios_set_filegroup_sync_freq(filegroup_hdl, sync_freq, sync_freq_size) BIND(C)
@@ -167,4 +248,10 @@
     END SUBROUTINE cxios_get_filegroup_sync_freq
     
+    FUNCTION cxios_is_defined_filegroup_sync_freq(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_sync_freq
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_sync_freq
+    
     
     SUBROUTINE cxios_set_filegroup_type(filegroup_hdl, type, type_size) BIND(C)
@@ -182,4 +269,10 @@
     END SUBROUTINE cxios_get_filegroup_type
     
+    FUNCTION cxios_is_defined_filegroup_type(filegroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_filegroup_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+    END FUNCTION cxios_is_defined_filegroup_type
+    
     
     END INTERFACE
Index: /XIOS/trunk/src/interface/fortran_attr/grid_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/grid_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/grid_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_grid_axis_ref
     
+    FUNCTION cxios_is_defined_grid_axis_ref(grid_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_grid_axis_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: grid_hdl
+    END FUNCTION cxios_is_defined_grid_axis_ref
+    
     
     SUBROUTINE cxios_set_grid_description(grid_hdl, description, description_size) BIND(C)
@@ -38,4 +44,10 @@
     END SUBROUTINE cxios_get_grid_description
     
+    FUNCTION cxios_is_defined_grid_description(grid_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_grid_description
+      INTEGER (kind = C_INTPTR_T), VALUE :: grid_hdl
+    END FUNCTION cxios_is_defined_grid_description
+    
     
     SUBROUTINE cxios_set_grid_domain_ref(grid_hdl, domain_ref, domain_ref_size) BIND(C)
@@ -52,4 +64,10 @@
       INTEGER  (kind = C_INT)     , VALUE        :: domain_ref_size
     END SUBROUTINE cxios_get_grid_domain_ref
+    
+    FUNCTION cxios_is_defined_grid_domain_ref(grid_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_grid_domain_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: grid_hdl
+    END FUNCTION cxios_is_defined_grid_domain_ref
     
     
@@ -72,4 +90,10 @@
     END SUBROUTINE cxios_get_grid_mask
     
+    FUNCTION cxios_is_defined_grid_mask(grid_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_grid_mask
+      INTEGER (kind = C_INTPTR_T), VALUE :: grid_hdl
+    END FUNCTION cxios_is_defined_grid_mask
+    
     
     SUBROUTINE cxios_set_grid_name(grid_hdl, name, name_size) BIND(C)
@@ -87,4 +111,10 @@
     END SUBROUTINE cxios_get_grid_name
     
+    FUNCTION cxios_is_defined_grid_name(grid_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_grid_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: grid_hdl
+    END FUNCTION cxios_is_defined_grid_name
+    
     
     END INTERFACE
Index: /XIOS/trunk/src/interface/fortran_attr/gridgroup_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/gridgroup_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/gridgroup_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_gridgroup_axis_ref
     
+    FUNCTION cxios_is_defined_gridgroup_axis_ref(gridgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_gridgroup_axis_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: gridgroup_hdl
+    END FUNCTION cxios_is_defined_gridgroup_axis_ref
+    
     
     SUBROUTINE cxios_set_gridgroup_description(gridgroup_hdl, description, description_size) BIND(C)
@@ -37,4 +43,10 @@
       INTEGER  (kind = C_INT)     , VALUE        :: description_size
     END SUBROUTINE cxios_get_gridgroup_description
+    
+    FUNCTION cxios_is_defined_gridgroup_description(gridgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_gridgroup_description
+      INTEGER (kind = C_INTPTR_T), VALUE :: gridgroup_hdl
+    END FUNCTION cxios_is_defined_gridgroup_description
     
     
@@ -53,4 +65,10 @@
     END SUBROUTINE cxios_get_gridgroup_domain_ref
     
+    FUNCTION cxios_is_defined_gridgroup_domain_ref(gridgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_gridgroup_domain_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: gridgroup_hdl
+    END FUNCTION cxios_is_defined_gridgroup_domain_ref
+    
     
     SUBROUTINE cxios_set_gridgroup_group_ref(gridgroup_hdl, group_ref, group_ref_size) BIND(C)
@@ -67,4 +85,10 @@
       INTEGER  (kind = C_INT)     , VALUE        :: group_ref_size
     END SUBROUTINE cxios_get_gridgroup_group_ref
+    
+    FUNCTION cxios_is_defined_gridgroup_group_ref(gridgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_gridgroup_group_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: gridgroup_hdl
+    END FUNCTION cxios_is_defined_gridgroup_group_ref
     
     
@@ -87,4 +111,10 @@
     END SUBROUTINE cxios_get_gridgroup_mask
     
+    FUNCTION cxios_is_defined_gridgroup_mask(gridgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_gridgroup_mask
+      INTEGER (kind = C_INTPTR_T), VALUE :: gridgroup_hdl
+    END FUNCTION cxios_is_defined_gridgroup_mask
+    
     
     SUBROUTINE cxios_set_gridgroup_name(gridgroup_hdl, name, name_size) BIND(C)
@@ -102,4 +132,10 @@
     END SUBROUTINE cxios_get_gridgroup_name
     
+    FUNCTION cxios_is_defined_gridgroup_name(gridgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_gridgroup_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: gridgroup_hdl
+    END FUNCTION cxios_is_defined_gridgroup_name
+    
     
     END INTERFACE
